﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Criteria
{
    public partial class CriteriaPushMessage
    {
        
        public CriteriaPushMessage()
        {
            TableName="PushMessage";
            OrderList = new List<string>();
            PageIndex = 1;
            PageSize = 20;
            UsePage = true;
            UserWhere = false;
        }
        
        #region Criteria Property
        public string TableName { get; set; }
        
        public IList<string> OrderList { get; set; }
        
        public int PageIndex { get; set; }
        
        public int PageSize { get; set; }
        
        public int PageTotal { get; set; }
        
        public bool UsePage { get; set; }
        
        public bool UseOr { get; set; }
        
        public bool UserWhere { get; set; }
        
        public string Where { get; set; }
        
        public bool IsAsc { get; set; }
        
        public object WhereValue { get; set; }
        
        #endregion
    
        #region Criteria Field
        
        
        public const string CriteriaField = "Id";
        
        
        
        public const string FieldId = "Id";
        public const string MapId = "Id";
        public const string FieldMapId = "MapId";
        public const string MapMapId = "Map_Id";
        public const string FieldUserId = "UserId";
        public const string MapUserId = "User_Id";
        public const string FieldSendNumber = "SendNumber";
        public const string MapSendNumber = "Send_Number";
        public const string FieldPushsysProid = "PushsysProid";
        public const string MapPushsysProid = "PushSys_ProId";
        public const string FieldProjectId = "ProjectId";
        public const string MapProjectId = "Project_Id";
        public const string FieldPushTarget = "PushTarget";
        public const string MapPushTarget = "Push_Target";
        public const string FieldPushStyle = "PushStyle";
        public const string MapPushStyle = "Push_Style";
        public const string FieldPushTagid = "PushTagid";
        public const string MapPushTagid = "Push_TagId";
        public const string FieldPushTitle = "PushTitle";
        public const string MapPushTitle = "Push_Title";
        public const string FieldPushBody = "PushBody";
        public const string MapPushBody = "Push_Body";
        public const string FieldPushIoslink = "PushIoslink";
        public const string MapPushIoslink = "Push_IosLink";
        public const string FieldPushAndlink = "PushAndlink";
        public const string MapPushAndlink = "Push_AndLink";
        public const string FieldPushWeblink = "PushWeblink";
        public const string MapPushWeblink = "Push_WebLink";
        public const string FieldPushWechatlink = "PushWechatlink";
        public const string MapPushWechatlink = "Push_WechatLink";
        public const string FieldHaveSend = "HaveSend";
        public const string MapHaveSend = "Have_Send";
        public const string FieldIsSuccessed = "IsSuccessed";
        public const string MapIsSuccessed = "Is_Successed";
        public const string FieldSendTime = "SendTime";
        public const string MapSendTime = "Send_Time";
        public const string FieldReturnCode = "ReturnCode";
        public const string MapReturnCode = "Return_Code";
        public const string FieldHaveread = "Haveread";
        public const string MapHaveread = "HaveRead";
        public const string FieldIsDeleted = "IsDeleted";
        public const string MapIsDeleted = "Is_Deleted";
        public const string FieldCreateUser = "CreateUser";
        public const string MapCreateUser = "Create_User";
        public const string FieldCreateTime = "CreateTime";
        public const string MapCreateTime = "Create_Time";
        public const string FieldUpdateUser = "UpdateUser";
        public const string MapUpdateUser = "Update_User";
        public const string FieldUpdateTime = "UpdateTime";
        public const string MapUpdateTime = "Update_Time";
        public const string FieldTimestamp = "Timestamp";
        public const string MapTimestamp = "Timestamp";
        
        
        
        #endregion
        
        #region Criteria Auto Property
        
        public System.String LikeAll { get; set; }
        
        public System.String LikeId { get; set; }
        List<System.String> _InId;
        public List<System.String> InId
        {
            get
            {
                if (_InId == null) { _InId = new List<System.String>(); }
                return _InId;
            }
        }
        List<System.String> _NotId;
        public List<System.String> NotId
        {
            get
            {
                if (_NotId == null) { _NotId = new List<System.String>(); }
                return _NotId;
            }
        }
        List<System.String> _OrEqId;
        public List<System.String> OrEqId
        {
            get
            {
                if (_OrEqId == null) { _OrEqId = new List<System.String>(); }
                return _OrEqId;
            }
        }
        List<System.String> _OrLikeId;
        public List<System.String> OrLikeId
        {
            get
            {
                if (_OrLikeId == null) { _OrLikeId = new List<System.String>(); }
                return _OrLikeId;
            }
        }
        public System.String EqId { get; set; }
        public System.String NeId { get; set; }
        public System.String EqIgId { get; set; }
        public System.String LeId { get; set; }
        public System.String GeId { get; set; }
        public System.String LtId { get; set; }
        public System.String GtId { get; set; }
        public bool  NullId { get; set; }
        public bool  NotNullId { get; set; }
        public System.String LikeMapId { get; set; }
        List<System.String> _InMapId;
        public List<System.String> InMapId
        {
            get
            {
                if (_InMapId == null) { _InMapId = new List<System.String>(); }
                return _InMapId;
            }
        }
        List<System.String> _NotMapId;
        public List<System.String> NotMapId
        {
            get
            {
                if (_NotMapId == null) { _NotMapId = new List<System.String>(); }
                return _NotMapId;
            }
        }
        List<System.String> _OrEqMapId;
        public List<System.String> OrEqMapId
        {
            get
            {
                if (_OrEqMapId == null) { _OrEqMapId = new List<System.String>(); }
                return _OrEqMapId;
            }
        }
        List<System.String> _OrLikeMapId;
        public List<System.String> OrLikeMapId
        {
            get
            {
                if (_OrLikeMapId == null) { _OrLikeMapId = new List<System.String>(); }
                return _OrLikeMapId;
            }
        }
        public System.String EqMapId { get; set; }
        public System.String NeMapId { get; set; }
        public System.String EqIgMapId { get; set; }
        public System.String LeMapId { get; set; }
        public System.String GeMapId { get; set; }
        public System.String LtMapId { get; set; }
        public System.String GtMapId { get; set; }
        public bool  NullMapId { get; set; }
        public bool  NotNullMapId { get; set; }
        public System.String LikeUserId { get; set; }
        List<System.String> _InUserId;
        public List<System.String> InUserId
        {
            get
            {
                if (_InUserId == null) { _InUserId = new List<System.String>(); }
                return _InUserId;
            }
        }
        List<System.String> _NotUserId;
        public List<System.String> NotUserId
        {
            get
            {
                if (_NotUserId == null) { _NotUserId = new List<System.String>(); }
                return _NotUserId;
            }
        }
        List<System.String> _OrEqUserId;
        public List<System.String> OrEqUserId
        {
            get
            {
                if (_OrEqUserId == null) { _OrEqUserId = new List<System.String>(); }
                return _OrEqUserId;
            }
        }
        List<System.String> _OrLikeUserId;
        public List<System.String> OrLikeUserId
        {
            get
            {
                if (_OrLikeUserId == null) { _OrLikeUserId = new List<System.String>(); }
                return _OrLikeUserId;
            }
        }
        public System.String EqUserId { get; set; }
        public System.String NeUserId { get; set; }
        public System.String EqIgUserId { get; set; }
        public System.String LeUserId { get; set; }
        public System.String GeUserId { get; set; }
        public System.String LtUserId { get; set; }
        public System.String GtUserId { get; set; }
        public bool  NullUserId { get; set; }
        public bool  NotNullUserId { get; set; }
        public System.String LikeSendNumber { get; set; }
        List<System.String> _InSendNumber;
        public List<System.String> InSendNumber
        {
            get
            {
                if (_InSendNumber == null) { _InSendNumber = new List<System.String>(); }
                return _InSendNumber;
            }
        }
        List<System.String> _NotSendNumber;
        public List<System.String> NotSendNumber
        {
            get
            {
                if (_NotSendNumber == null) { _NotSendNumber = new List<System.String>(); }
                return _NotSendNumber;
            }
        }
        List<System.String> _OrEqSendNumber;
        public List<System.String> OrEqSendNumber
        {
            get
            {
                if (_OrEqSendNumber == null) { _OrEqSendNumber = new List<System.String>(); }
                return _OrEqSendNumber;
            }
        }
        List<System.String> _OrLikeSendNumber;
        public List<System.String> OrLikeSendNumber
        {
            get
            {
                if (_OrLikeSendNumber == null) { _OrLikeSendNumber = new List<System.String>(); }
                return _OrLikeSendNumber;
            }
        }
        public System.String EqSendNumber { get; set; }
        public System.String NeSendNumber { get; set; }
        public System.String EqIgSendNumber { get; set; }
        public System.String LeSendNumber { get; set; }
        public System.String GeSendNumber { get; set; }
        public System.String LtSendNumber { get; set; }
        public System.String GtSendNumber { get; set; }
        public bool  NullSendNumber { get; set; }
        public bool  NotNullSendNumber { get; set; }
        public System.String LikePushsysProid { get; set; }
        List<System.String> _InPushsysProid;
        public List<System.String> InPushsysProid
        {
            get
            {
                if (_InPushsysProid == null) { _InPushsysProid = new List<System.String>(); }
                return _InPushsysProid;
            }
        }
        List<System.String> _NotPushsysProid;
        public List<System.String> NotPushsysProid
        {
            get
            {
                if (_NotPushsysProid == null) { _NotPushsysProid = new List<System.String>(); }
                return _NotPushsysProid;
            }
        }
        List<System.String> _OrEqPushsysProid;
        public List<System.String> OrEqPushsysProid
        {
            get
            {
                if (_OrEqPushsysProid == null) { _OrEqPushsysProid = new List<System.String>(); }
                return _OrEqPushsysProid;
            }
        }
        List<System.String> _OrLikePushsysProid;
        public List<System.String> OrLikePushsysProid
        {
            get
            {
                if (_OrLikePushsysProid == null) { _OrLikePushsysProid = new List<System.String>(); }
                return _OrLikePushsysProid;
            }
        }
        public System.String EqPushsysProid { get; set; }
        public System.String NePushsysProid { get; set; }
        public System.String EqIgPushsysProid { get; set; }
        public System.String LePushsysProid { get; set; }
        public System.String GePushsysProid { get; set; }
        public System.String LtPushsysProid { get; set; }
        public System.String GtPushsysProid { get; set; }
        public bool  NullPushsysProid { get; set; }
        public bool  NotNullPushsysProid { get; set; }
        public System.String LikeProjectId { get; set; }
        List<System.String> _InProjectId;
        public List<System.String> InProjectId
        {
            get
            {
                if (_InProjectId == null) { _InProjectId = new List<System.String>(); }
                return _InProjectId;
            }
        }
        List<System.String> _NotProjectId;
        public List<System.String> NotProjectId
        {
            get
            {
                if (_NotProjectId == null) { _NotProjectId = new List<System.String>(); }
                return _NotProjectId;
            }
        }
        List<System.String> _OrEqProjectId;
        public List<System.String> OrEqProjectId
        {
            get
            {
                if (_OrEqProjectId == null) { _OrEqProjectId = new List<System.String>(); }
                return _OrEqProjectId;
            }
        }
        List<System.String> _OrLikeProjectId;
        public List<System.String> OrLikeProjectId
        {
            get
            {
                if (_OrLikeProjectId == null) { _OrLikeProjectId = new List<System.String>(); }
                return _OrLikeProjectId;
            }
        }
        public System.String EqProjectId { get; set; }
        public System.String NeProjectId { get; set; }
        public System.String EqIgProjectId { get; set; }
        public System.String LeProjectId { get; set; }
        public System.String GeProjectId { get; set; }
        public System.String LtProjectId { get; set; }
        public System.String GtProjectId { get; set; }
        public bool  NullProjectId { get; set; }
        public bool  NotNullProjectId { get; set; }
        public System.String LikePushTarget { get; set; }
        List<System.String> _InPushTarget;
        public List<System.String> InPushTarget
        {
            get
            {
                if (_InPushTarget == null) { _InPushTarget = new List<System.String>(); }
                return _InPushTarget;
            }
        }
        List<System.String> _NotPushTarget;
        public List<System.String> NotPushTarget
        {
            get
            {
                if (_NotPushTarget == null) { _NotPushTarget = new List<System.String>(); }
                return _NotPushTarget;
            }
        }
        List<System.String> _OrEqPushTarget;
        public List<System.String> OrEqPushTarget
        {
            get
            {
                if (_OrEqPushTarget == null) { _OrEqPushTarget = new List<System.String>(); }
                return _OrEqPushTarget;
            }
        }
        List<System.String> _OrLikePushTarget;
        public List<System.String> OrLikePushTarget
        {
            get
            {
                if (_OrLikePushTarget == null) { _OrLikePushTarget = new List<System.String>(); }
                return _OrLikePushTarget;
            }
        }
        public System.String EqPushTarget { get; set; }
        public System.String NePushTarget { get; set; }
        public System.String EqIgPushTarget { get; set; }
        public System.String LePushTarget { get; set; }
        public System.String GePushTarget { get; set; }
        public System.String LtPushTarget { get; set; }
        public System.String GtPushTarget { get; set; }
        public bool  NullPushTarget { get; set; }
        public bool  NotNullPushTarget { get; set; }
        public System.String LikePushStyle { get; set; }
        List<System.String> _InPushStyle;
        public List<System.String> InPushStyle
        {
            get
            {
                if (_InPushStyle == null) { _InPushStyle = new List<System.String>(); }
                return _InPushStyle;
            }
        }
        List<System.String> _NotPushStyle;
        public List<System.String> NotPushStyle
        {
            get
            {
                if (_NotPushStyle == null) { _NotPushStyle = new List<System.String>(); }
                return _NotPushStyle;
            }
        }
        List<System.String> _OrEqPushStyle;
        public List<System.String> OrEqPushStyle
        {
            get
            {
                if (_OrEqPushStyle == null) { _OrEqPushStyle = new List<System.String>(); }
                return _OrEqPushStyle;
            }
        }
        List<System.String> _OrLikePushStyle;
        public List<System.String> OrLikePushStyle
        {
            get
            {
                if (_OrLikePushStyle == null) { _OrLikePushStyle = new List<System.String>(); }
                return _OrLikePushStyle;
            }
        }
        public System.String EqPushStyle { get; set; }
        public System.String NePushStyle { get; set; }
        public System.String EqIgPushStyle { get; set; }
        public System.String LePushStyle { get; set; }
        public System.String GePushStyle { get; set; }
        public System.String LtPushStyle { get; set; }
        public System.String GtPushStyle { get; set; }
        public bool  NullPushStyle { get; set; }
        public bool  NotNullPushStyle { get; set; }
        public System.String LikePushTagid { get; set; }
        List<System.String> _InPushTagid;
        public List<System.String> InPushTagid
        {
            get
            {
                if (_InPushTagid == null) { _InPushTagid = new List<System.String>(); }
                return _InPushTagid;
            }
        }
        List<System.String> _NotPushTagid;
        public List<System.String> NotPushTagid
        {
            get
            {
                if (_NotPushTagid == null) { _NotPushTagid = new List<System.String>(); }
                return _NotPushTagid;
            }
        }
        List<System.String> _OrEqPushTagid;
        public List<System.String> OrEqPushTagid
        {
            get
            {
                if (_OrEqPushTagid == null) { _OrEqPushTagid = new List<System.String>(); }
                return _OrEqPushTagid;
            }
        }
        List<System.String> _OrLikePushTagid;
        public List<System.String> OrLikePushTagid
        {
            get
            {
                if (_OrLikePushTagid == null) { _OrLikePushTagid = new List<System.String>(); }
                return _OrLikePushTagid;
            }
        }
        public System.String EqPushTagid { get; set; }
        public System.String NePushTagid { get; set; }
        public System.String EqIgPushTagid { get; set; }
        public System.String LePushTagid { get; set; }
        public System.String GePushTagid { get; set; }
        public System.String LtPushTagid { get; set; }
        public System.String GtPushTagid { get; set; }
        public bool  NullPushTagid { get; set; }
        public bool  NotNullPushTagid { get; set; }
        public System.String LikePushTitle { get; set; }
        List<System.String> _InPushTitle;
        public List<System.String> InPushTitle
        {
            get
            {
                if (_InPushTitle == null) { _InPushTitle = new List<System.String>(); }
                return _InPushTitle;
            }
        }
        List<System.String> _NotPushTitle;
        public List<System.String> NotPushTitle
        {
            get
            {
                if (_NotPushTitle == null) { _NotPushTitle = new List<System.String>(); }
                return _NotPushTitle;
            }
        }
        List<System.String> _OrEqPushTitle;
        public List<System.String> OrEqPushTitle
        {
            get
            {
                if (_OrEqPushTitle == null) { _OrEqPushTitle = new List<System.String>(); }
                return _OrEqPushTitle;
            }
        }
        List<System.String> _OrLikePushTitle;
        public List<System.String> OrLikePushTitle
        {
            get
            {
                if (_OrLikePushTitle == null) { _OrLikePushTitle = new List<System.String>(); }
                return _OrLikePushTitle;
            }
        }
        public System.String EqPushTitle { get; set; }
        public System.String NePushTitle { get; set; }
        public System.String EqIgPushTitle { get; set; }
        public System.String LePushTitle { get; set; }
        public System.String GePushTitle { get; set; }
        public System.String LtPushTitle { get; set; }
        public System.String GtPushTitle { get; set; }
        public bool  NullPushTitle { get; set; }
        public bool  NotNullPushTitle { get; set; }
        public System.String LikePushBody { get; set; }
        List<System.String> _InPushBody;
        public List<System.String> InPushBody
        {
            get
            {
                if (_InPushBody == null) { _InPushBody = new List<System.String>(); }
                return _InPushBody;
            }
        }
        List<System.String> _NotPushBody;
        public List<System.String> NotPushBody
        {
            get
            {
                if (_NotPushBody == null) { _NotPushBody = new List<System.String>(); }
                return _NotPushBody;
            }
        }
        List<System.String> _OrEqPushBody;
        public List<System.String> OrEqPushBody
        {
            get
            {
                if (_OrEqPushBody == null) { _OrEqPushBody = new List<System.String>(); }
                return _OrEqPushBody;
            }
        }
        List<System.String> _OrLikePushBody;
        public List<System.String> OrLikePushBody
        {
            get
            {
                if (_OrLikePushBody == null) { _OrLikePushBody = new List<System.String>(); }
                return _OrLikePushBody;
            }
        }
        public System.String EqPushBody { get; set; }
        public System.String NePushBody { get; set; }
        public System.String EqIgPushBody { get; set; }
        public System.String LePushBody { get; set; }
        public System.String GePushBody { get; set; }
        public System.String LtPushBody { get; set; }
        public System.String GtPushBody { get; set; }
        public bool  NullPushBody { get; set; }
        public bool  NotNullPushBody { get; set; }
        public System.String LikePushIoslink { get; set; }
        List<System.String> _InPushIoslink;
        public List<System.String> InPushIoslink
        {
            get
            {
                if (_InPushIoslink == null) { _InPushIoslink = new List<System.String>(); }
                return _InPushIoslink;
            }
        }
        List<System.String> _NotPushIoslink;
        public List<System.String> NotPushIoslink
        {
            get
            {
                if (_NotPushIoslink == null) { _NotPushIoslink = new List<System.String>(); }
                return _NotPushIoslink;
            }
        }
        List<System.String> _OrEqPushIoslink;
        public List<System.String> OrEqPushIoslink
        {
            get
            {
                if (_OrEqPushIoslink == null) { _OrEqPushIoslink = new List<System.String>(); }
                return _OrEqPushIoslink;
            }
        }
        List<System.String> _OrLikePushIoslink;
        public List<System.String> OrLikePushIoslink
        {
            get
            {
                if (_OrLikePushIoslink == null) { _OrLikePushIoslink = new List<System.String>(); }
                return _OrLikePushIoslink;
            }
        }
        public System.String EqPushIoslink { get; set; }
        public System.String NePushIoslink { get; set; }
        public System.String EqIgPushIoslink { get; set; }
        public System.String LePushIoslink { get; set; }
        public System.String GePushIoslink { get; set; }
        public System.String LtPushIoslink { get; set; }
        public System.String GtPushIoslink { get; set; }
        public bool  NullPushIoslink { get; set; }
        public bool  NotNullPushIoslink { get; set; }
        public System.String LikePushAndlink { get; set; }
        List<System.String> _InPushAndlink;
        public List<System.String> InPushAndlink
        {
            get
            {
                if (_InPushAndlink == null) { _InPushAndlink = new List<System.String>(); }
                return _InPushAndlink;
            }
        }
        List<System.String> _NotPushAndlink;
        public List<System.String> NotPushAndlink
        {
            get
            {
                if (_NotPushAndlink == null) { _NotPushAndlink = new List<System.String>(); }
                return _NotPushAndlink;
            }
        }
        List<System.String> _OrEqPushAndlink;
        public List<System.String> OrEqPushAndlink
        {
            get
            {
                if (_OrEqPushAndlink == null) { _OrEqPushAndlink = new List<System.String>(); }
                return _OrEqPushAndlink;
            }
        }
        List<System.String> _OrLikePushAndlink;
        public List<System.String> OrLikePushAndlink
        {
            get
            {
                if (_OrLikePushAndlink == null) { _OrLikePushAndlink = new List<System.String>(); }
                return _OrLikePushAndlink;
            }
        }
        public System.String EqPushAndlink { get; set; }
        public System.String NePushAndlink { get; set; }
        public System.String EqIgPushAndlink { get; set; }
        public System.String LePushAndlink { get; set; }
        public System.String GePushAndlink { get; set; }
        public System.String LtPushAndlink { get; set; }
        public System.String GtPushAndlink { get; set; }
        public bool  NullPushAndlink { get; set; }
        public bool  NotNullPushAndlink { get; set; }
        public System.String LikePushWeblink { get; set; }
        List<System.String> _InPushWeblink;
        public List<System.String> InPushWeblink
        {
            get
            {
                if (_InPushWeblink == null) { _InPushWeblink = new List<System.String>(); }
                return _InPushWeblink;
            }
        }
        List<System.String> _NotPushWeblink;
        public List<System.String> NotPushWeblink
        {
            get
            {
                if (_NotPushWeblink == null) { _NotPushWeblink = new List<System.String>(); }
                return _NotPushWeblink;
            }
        }
        List<System.String> _OrEqPushWeblink;
        public List<System.String> OrEqPushWeblink
        {
            get
            {
                if (_OrEqPushWeblink == null) { _OrEqPushWeblink = new List<System.String>(); }
                return _OrEqPushWeblink;
            }
        }
        List<System.String> _OrLikePushWeblink;
        public List<System.String> OrLikePushWeblink
        {
            get
            {
                if (_OrLikePushWeblink == null) { _OrLikePushWeblink = new List<System.String>(); }
                return _OrLikePushWeblink;
            }
        }
        public System.String EqPushWeblink { get; set; }
        public System.String NePushWeblink { get; set; }
        public System.String EqIgPushWeblink { get; set; }
        public System.String LePushWeblink { get; set; }
        public System.String GePushWeblink { get; set; }
        public System.String LtPushWeblink { get; set; }
        public System.String GtPushWeblink { get; set; }
        public bool  NullPushWeblink { get; set; }
        public bool  NotNullPushWeblink { get; set; }
        public System.String LikePushWechatlink { get; set; }
        List<System.String> _InPushWechatlink;
        public List<System.String> InPushWechatlink
        {
            get
            {
                if (_InPushWechatlink == null) { _InPushWechatlink = new List<System.String>(); }
                return _InPushWechatlink;
            }
        }
        List<System.String> _NotPushWechatlink;
        public List<System.String> NotPushWechatlink
        {
            get
            {
                if (_NotPushWechatlink == null) { _NotPushWechatlink = new List<System.String>(); }
                return _NotPushWechatlink;
            }
        }
        List<System.String> _OrEqPushWechatlink;
        public List<System.String> OrEqPushWechatlink
        {
            get
            {
                if (_OrEqPushWechatlink == null) { _OrEqPushWechatlink = new List<System.String>(); }
                return _OrEqPushWechatlink;
            }
        }
        List<System.String> _OrLikePushWechatlink;
        public List<System.String> OrLikePushWechatlink
        {
            get
            {
                if (_OrLikePushWechatlink == null) { _OrLikePushWechatlink = new List<System.String>(); }
                return _OrLikePushWechatlink;
            }
        }
        public System.String EqPushWechatlink { get; set; }
        public System.String NePushWechatlink { get; set; }
        public System.String EqIgPushWechatlink { get; set; }
        public System.String LePushWechatlink { get; set; }
        public System.String GePushWechatlink { get; set; }
        public System.String LtPushWechatlink { get; set; }
        public System.String GtPushWechatlink { get; set; }
        public bool  NullPushWechatlink { get; set; }
        public bool  NotNullPushWechatlink { get; set; }
        List<System.Int32> _InHaveSend;
        public List<System.Int32> InHaveSend
        {
            get
            {
                if (_InHaveSend == null) { _InHaveSend = new List<System.Int32>(); }
                return _InHaveSend;
            }
        }
        List<System.Int32> _NotHaveSend;
        public List<System.Int32> NotHaveSend
        {
            get
            {
                if (_NotHaveSend == null) { _NotHaveSend = new List<System.Int32>(); }
                return _NotHaveSend;
            }
        }
        List<System.Int32> _OrEqHaveSend;
        public List<System.Int32> OrEqHaveSend
        {
            get
            {
                if (_OrEqHaveSend == null) { _OrEqHaveSend = new List<System.Int32>(); }
                return _OrEqHaveSend;
            }
        }
        public System.Int32? EqHaveSend { get; set; }
        public System.Int32? NeHaveSend { get; set; }
        public System.Int32? EqIgHaveSend { get; set; }
        public System.Int32? LeHaveSend { get; set; }
        public System.Int32? GeHaveSend { get; set; }
        public System.Int32? LtHaveSend { get; set; }
        public System.Int32? GtHaveSend { get; set; }
        public bool  NullHaveSend { get; set; }
        public bool  NotNullHaveSend { get; set; }
        List<System.Int32> _InIsSuccessed;
        public List<System.Int32> InIsSuccessed
        {
            get
            {
                if (_InIsSuccessed == null) { _InIsSuccessed = new List<System.Int32>(); }
                return _InIsSuccessed;
            }
        }
        List<System.Int32> _NotIsSuccessed;
        public List<System.Int32> NotIsSuccessed
        {
            get
            {
                if (_NotIsSuccessed == null) { _NotIsSuccessed = new List<System.Int32>(); }
                return _NotIsSuccessed;
            }
        }
        List<System.Int32> _OrEqIsSuccessed;
        public List<System.Int32> OrEqIsSuccessed
        {
            get
            {
                if (_OrEqIsSuccessed == null) { _OrEqIsSuccessed = new List<System.Int32>(); }
                return _OrEqIsSuccessed;
            }
        }
        public System.Int32? EqIsSuccessed { get; set; }
        public System.Int32? NeIsSuccessed { get; set; }
        public System.Int32? EqIgIsSuccessed { get; set; }
        public System.Int32? LeIsSuccessed { get; set; }
        public System.Int32? GeIsSuccessed { get; set; }
        public System.Int32? LtIsSuccessed { get; set; }
        public System.Int32? GtIsSuccessed { get; set; }
        public bool  NullIsSuccessed { get; set; }
        public bool  NotNullIsSuccessed { get; set; }
        public System.DateTime? EqSendTime { get; set; }
        public System.DateTime? NeSendTime { get; set; }
        public System.DateTime? EqIgSendTime { get; set; }
        public System.DateTime? LeSendTime { get; set; }
        public System.DateTime? GeSendTime { get; set; }
        public System.DateTime? LtSendTime { get; set; }
        public System.DateTime? GtSendTime { get; set; }
        public bool  NullSendTime { get; set; }
        public bool  NotNullSendTime { get; set; }
        public System.String LikeReturnCode { get; set; }
        List<System.String> _InReturnCode;
        public List<System.String> InReturnCode
        {
            get
            {
                if (_InReturnCode == null) { _InReturnCode = new List<System.String>(); }
                return _InReturnCode;
            }
        }
        List<System.String> _NotReturnCode;
        public List<System.String> NotReturnCode
        {
            get
            {
                if (_NotReturnCode == null) { _NotReturnCode = new List<System.String>(); }
                return _NotReturnCode;
            }
        }
        List<System.String> _OrEqReturnCode;
        public List<System.String> OrEqReturnCode
        {
            get
            {
                if (_OrEqReturnCode == null) { _OrEqReturnCode = new List<System.String>(); }
                return _OrEqReturnCode;
            }
        }
        List<System.String> _OrLikeReturnCode;
        public List<System.String> OrLikeReturnCode
        {
            get
            {
                if (_OrLikeReturnCode == null) { _OrLikeReturnCode = new List<System.String>(); }
                return _OrLikeReturnCode;
            }
        }
        public System.String EqReturnCode { get; set; }
        public System.String NeReturnCode { get; set; }
        public System.String EqIgReturnCode { get; set; }
        public System.String LeReturnCode { get; set; }
        public System.String GeReturnCode { get; set; }
        public System.String LtReturnCode { get; set; }
        public System.String GtReturnCode { get; set; }
        public bool  NullReturnCode { get; set; }
        public bool  NotNullReturnCode { get; set; }
        List<System.Int32> _InHaveread;
        public List<System.Int32> InHaveread
        {
            get
            {
                if (_InHaveread == null) { _InHaveread = new List<System.Int32>(); }
                return _InHaveread;
            }
        }
        List<System.Int32> _NotHaveread;
        public List<System.Int32> NotHaveread
        {
            get
            {
                if (_NotHaveread == null) { _NotHaveread = new List<System.Int32>(); }
                return _NotHaveread;
            }
        }
        List<System.Int32> _OrEqHaveread;
        public List<System.Int32> OrEqHaveread
        {
            get
            {
                if (_OrEqHaveread == null) { _OrEqHaveread = new List<System.Int32>(); }
                return _OrEqHaveread;
            }
        }
        public System.Int32? EqHaveread { get; set; }
        public System.Int32? NeHaveread { get; set; }
        public System.Int32? EqIgHaveread { get; set; }
        public System.Int32? LeHaveread { get; set; }
        public System.Int32? GeHaveread { get; set; }
        public System.Int32? LtHaveread { get; set; }
        public System.Int32? GtHaveread { get; set; }
        public bool  NullHaveread { get; set; }
        public bool  NotNullHaveread { get; set; }
        List<System.Int32> _InIsDeleted;
        public List<System.Int32> InIsDeleted
        {
            get
            {
                if (_InIsDeleted == null) { _InIsDeleted = new List<System.Int32>(); }
                return _InIsDeleted;
            }
        }
        List<System.Int32> _NotIsDeleted;
        public List<System.Int32> NotIsDeleted
        {
            get
            {
                if (_NotIsDeleted == null) { _NotIsDeleted = new List<System.Int32>(); }
                return _NotIsDeleted;
            }
        }
        List<System.Int32> _OrEqIsDeleted;
        public List<System.Int32> OrEqIsDeleted
        {
            get
            {
                if (_OrEqIsDeleted == null) { _OrEqIsDeleted = new List<System.Int32>(); }
                return _OrEqIsDeleted;
            }
        }
        public System.Int32? EqIsDeleted { get; set; }
        public System.Int32? NeIsDeleted { get; set; }
        public System.Int32? EqIgIsDeleted { get; set; }
        public System.Int32? LeIsDeleted { get; set; }
        public System.Int32? GeIsDeleted { get; set; }
        public System.Int32? LtIsDeleted { get; set; }
        public System.Int32? GtIsDeleted { get; set; }
        public bool  NullIsDeleted { get; set; }
        public bool  NotNullIsDeleted { get; set; }
        public System.String LikeCreateUser { get; set; }
        List<System.String> _InCreateUser;
        public List<System.String> InCreateUser
        {
            get
            {
                if (_InCreateUser == null) { _InCreateUser = new List<System.String>(); }
                return _InCreateUser;
            }
        }
        List<System.String> _NotCreateUser;
        public List<System.String> NotCreateUser
        {
            get
            {
                if (_NotCreateUser == null) { _NotCreateUser = new List<System.String>(); }
                return _NotCreateUser;
            }
        }
        List<System.String> _OrEqCreateUser;
        public List<System.String> OrEqCreateUser
        {
            get
            {
                if (_OrEqCreateUser == null) { _OrEqCreateUser = new List<System.String>(); }
                return _OrEqCreateUser;
            }
        }
        List<System.String> _OrLikeCreateUser;
        public List<System.String> OrLikeCreateUser
        {
            get
            {
                if (_OrLikeCreateUser == null) { _OrLikeCreateUser = new List<System.String>(); }
                return _OrLikeCreateUser;
            }
        }
        public System.String EqCreateUser { get; set; }
        public System.String NeCreateUser { get; set; }
        public System.String EqIgCreateUser { get; set; }
        public System.String LeCreateUser { get; set; }
        public System.String GeCreateUser { get; set; }
        public System.String LtCreateUser { get; set; }
        public System.String GtCreateUser { get; set; }
        public bool  NullCreateUser { get; set; }
        public bool  NotNullCreateUser { get; set; }
        public System.DateTime? EqCreateTime { get; set; }
        public System.DateTime? NeCreateTime { get; set; }
        public System.DateTime? EqIgCreateTime { get; set; }
        public System.DateTime? LeCreateTime { get; set; }
        public System.DateTime? GeCreateTime { get; set; }
        public System.DateTime? LtCreateTime { get; set; }
        public System.DateTime? GtCreateTime { get; set; }
        public bool  NullCreateTime { get; set; }
        public bool  NotNullCreateTime { get; set; }
        public System.String LikeUpdateUser { get; set; }
        List<System.String> _InUpdateUser;
        public List<System.String> InUpdateUser
        {
            get
            {
                if (_InUpdateUser == null) { _InUpdateUser = new List<System.String>(); }
                return _InUpdateUser;
            }
        }
        List<System.String> _NotUpdateUser;
        public List<System.String> NotUpdateUser
        {
            get
            {
                if (_NotUpdateUser == null) { _NotUpdateUser = new List<System.String>(); }
                return _NotUpdateUser;
            }
        }
        List<System.String> _OrEqUpdateUser;
        public List<System.String> OrEqUpdateUser
        {
            get
            {
                if (_OrEqUpdateUser == null) { _OrEqUpdateUser = new List<System.String>(); }
                return _OrEqUpdateUser;
            }
        }
        List<System.String> _OrLikeUpdateUser;
        public List<System.String> OrLikeUpdateUser
        {
            get
            {
                if (_OrLikeUpdateUser == null) { _OrLikeUpdateUser = new List<System.String>(); }
                return _OrLikeUpdateUser;
            }
        }
        public System.String EqUpdateUser { get; set; }
        public System.String NeUpdateUser { get; set; }
        public System.String EqIgUpdateUser { get; set; }
        public System.String LeUpdateUser { get; set; }
        public System.String GeUpdateUser { get; set; }
        public System.String LtUpdateUser { get; set; }
        public System.String GtUpdateUser { get; set; }
        public bool  NullUpdateUser { get; set; }
        public bool  NotNullUpdateUser { get; set; }
        public System.DateTime? EqUpdateTime { get; set; }
        public System.DateTime? NeUpdateTime { get; set; }
        public System.DateTime? EqIgUpdateTime { get; set; }
        public System.DateTime? LeUpdateTime { get; set; }
        public System.DateTime? GeUpdateTime { get; set; }
        public System.DateTime? LtUpdateTime { get; set; }
        public System.DateTime? GtUpdateTime { get; set; }
        public bool  NullUpdateTime { get; set; }
        public bool  NotNullUpdateTime { get; set; }
        public System.Int64? EqTimestamp { get; set; }
        public System.Int64? NeTimestamp { get; set; }
        public System.Int64? EqIgTimestamp { get; set; }
        public System.Int64? LeTimestamp { get; set; }
        public System.Int64? GeTimestamp { get; set; }
        public System.Int64? LtTimestamp { get; set; }
        public System.Int64? GtTimestamp { get; set; }
        public bool  NullTimestamp { get; set; }
        public bool  NotNullTimestamp { get; set; }
        
        
        
        #endregion
        
        
        #region Criteria Method
        
        public void AddOrder(string order)
        {
            this.AddOrder(order,false);
        }
        
        public void AddOrder(string order, bool isAsc)
        {
            if(isAsc)
            {
                this.OrderList.Add(order);
                IsAsc=true;
            }
            else
            {
                this.OrderList.Add(order);
                IsAsc=false;
            }
        }
        
        public void ClearOrder()
        {
            this.OrderList.Clear();
        }
        
        public void RemoveOrder(string order)
        {
            if(this.OrderList.Contains(order+",0"))
                this.OrderList.Remove(order+",0");
            if(this.OrderList.Contains(order+",1"))
                this.OrderList.Remove(order+",1");
        }
        
        #endregion
       
    }
}
