﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Criteria
{
    public partial class CriteriaSysPush
    {
        
        public CriteriaSysPush()
        {
            TableName="SysPush";
            OrderList = new List<string>();
            PageIndex = 1;
            PageSize = 20;
            UsePage = true;
            UserWhere = false;
        }
        
        #region Criteria Property
        public string TableName { get; set; }
        
        public IList<string> OrderList { get; set; }
        
        public int PageIndex { get; set; }
        
        public int PageSize { get; set; }
        
        public int PageTotal { get; set; }
        
        public bool UsePage { get; set; }
        
        public bool UseOr { get; set; }
        
        public bool UserWhere { get; set; }
        
        public string Where { get; set; }
        
        public bool IsAsc { get; set; }
        
        public object WhereValue { get; set; }
        
        #endregion
    
        #region Criteria Field
        
        
        public const string CriteriaField = "Id";
        
        
        
        public const string FieldId = "Id";
        public const string MapId = "Id";
        public const string FieldPushsysProid = "PushsysProid";
        public const string MapPushsysProid = "PushSys_ProId";
        public const string FieldNameDes = "NameDes";
        public const string MapNameDes = "Name_Des";
        public const string FieldPushTarget = "PushTarget";
        public const string MapPushTarget = "Push_Target";
        public const string FieldPushStyle = "PushStyle";
        public const string MapPushStyle = "Push_Style";
        public const string FieldPushTitle = "PushTitle";
        public const string MapPushTitle = "Push_Title";
        public const string FieldPushBody = "PushBody";
        public const string MapPushBody = "Push_Body";
        public const string FieldPushType = "PushType";
        public const string MapPushType = "Push_Type";
        public const string FieldPushCycle = "PushCycle";
        public const string MapPushCycle = "Push_Cycle";
        public const string FieldPushMonth = "PushMonth";
        public const string MapPushMonth = "Push_Month";
        public const string FieldPushWhich = "PushWhich";
        public const string MapPushWhich = "Push_Which";
        public const string FieldPushAction = "PushAction";
        public const string MapPushAction = "Push_Action";
        public const string FieldPushActiontype = "PushActiontype";
        public const string MapPushActiontype = "Push_ActionType";
        public const string FieldPushIoslink = "PushIoslink";
        public const string MapPushIoslink = "Push_IosLink";
        public const string FieldPushAndlink = "PushAndlink";
        public const string MapPushAndlink = "Push_AndLink";
        public const string FieldPushWeblink = "PushWeblink";
        public const string MapPushWeblink = "Push_WebLink";
        public const string FieldPushWechatlink = "PushWechatlink";
        public const string MapPushWechatlink = "Push_WechatLink";
        public const string FieldDbConnectid = "DbConnectid";
        public const string MapDbConnectid = "Db_ConnectId";
        public const string FieldPushUserAction = "PushUserAction";
        public const string MapPushUserAction = "Push_User_Action";
        public const string FieldPushUserActiontype = "PushUserActiontype";
        public const string MapPushUserActiontype = "Push_User_ActionType";
        public const string FieldDbUserConnectid = "DbUserConnectid";
        public const string MapDbUserConnectid = "Db_User_ConnectId";
        public const string FieldIsDeleted = "IsDeleted";
        public const string MapIsDeleted = "Is_Deleted";
        public const string FieldCreateUser = "CreateUser";
        public const string MapCreateUser = "Create_User";
        public const string FieldCreateTime = "CreateTime";
        public const string MapCreateTime = "Create_Time";
        public const string FieldUpdateUser = "UpdateUser";
        public const string MapUpdateUser = "Update_User";
        public const string FieldUpdateTime = "UpdateTime";
        public const string MapUpdateTime = "Update_Time";
        public const string FieldTimestamp = "Timestamp";
        public const string MapTimestamp = "Timestamp";
        
        
        
        #endregion
        
        #region Criteria Auto Property
        
        public System.String LikeAll { get; set; }
        
        public System.String LikeId { get; set; }
        List<System.String> _InId;
        public List<System.String> InId
        {
            get
            {
                if (_InId == null) { _InId = new List<System.String>(); }
                return _InId;
            }
        }
        List<System.String> _NotId;
        public List<System.String> NotId
        {
            get
            {
                if (_NotId == null) { _NotId = new List<System.String>(); }
                return _NotId;
            }
        }
        List<System.String> _OrEqId;
        public List<System.String> OrEqId
        {
            get
            {
                if (_OrEqId == null) { _OrEqId = new List<System.String>(); }
                return _OrEqId;
            }
        }
        List<System.String> _OrLikeId;
        public List<System.String> OrLikeId
        {
            get
            {
                if (_OrLikeId == null) { _OrLikeId = new List<System.String>(); }
                return _OrLikeId;
            }
        }
        public System.String EqId { get; set; }
        public System.String NeId { get; set; }
        public System.String EqIgId { get; set; }
        public System.String LeId { get; set; }
        public System.String GeId { get; set; }
        public System.String LtId { get; set; }
        public System.String GtId { get; set; }
        public bool  NullId { get; set; }
        public bool  NotNullId { get; set; }
        public System.String LikePushsysProid { get; set; }
        List<System.String> _InPushsysProid;
        public List<System.String> InPushsysProid
        {
            get
            {
                if (_InPushsysProid == null) { _InPushsysProid = new List<System.String>(); }
                return _InPushsysProid;
            }
        }
        List<System.String> _NotPushsysProid;
        public List<System.String> NotPushsysProid
        {
            get
            {
                if (_NotPushsysProid == null) { _NotPushsysProid = new List<System.String>(); }
                return _NotPushsysProid;
            }
        }
        List<System.String> _OrEqPushsysProid;
        public List<System.String> OrEqPushsysProid
        {
            get
            {
                if (_OrEqPushsysProid == null) { _OrEqPushsysProid = new List<System.String>(); }
                return _OrEqPushsysProid;
            }
        }
        List<System.String> _OrLikePushsysProid;
        public List<System.String> OrLikePushsysProid
        {
            get
            {
                if (_OrLikePushsysProid == null) { _OrLikePushsysProid = new List<System.String>(); }
                return _OrLikePushsysProid;
            }
        }
        public System.String EqPushsysProid { get; set; }
        public System.String NePushsysProid { get; set; }
        public System.String EqIgPushsysProid { get; set; }
        public System.String LePushsysProid { get; set; }
        public System.String GePushsysProid { get; set; }
        public System.String LtPushsysProid { get; set; }
        public System.String GtPushsysProid { get; set; }
        public bool  NullPushsysProid { get; set; }
        public bool  NotNullPushsysProid { get; set; }
        public System.String LikeNameDes { get; set; }
        List<System.String> _InNameDes;
        public List<System.String> InNameDes
        {
            get
            {
                if (_InNameDes == null) { _InNameDes = new List<System.String>(); }
                return _InNameDes;
            }
        }
        List<System.String> _NotNameDes;
        public List<System.String> NotNameDes
        {
            get
            {
                if (_NotNameDes == null) { _NotNameDes = new List<System.String>(); }
                return _NotNameDes;
            }
        }
        List<System.String> _OrEqNameDes;
        public List<System.String> OrEqNameDes
        {
            get
            {
                if (_OrEqNameDes == null) { _OrEqNameDes = new List<System.String>(); }
                return _OrEqNameDes;
            }
        }
        List<System.String> _OrLikeNameDes;
        public List<System.String> OrLikeNameDes
        {
            get
            {
                if (_OrLikeNameDes == null) { _OrLikeNameDes = new List<System.String>(); }
                return _OrLikeNameDes;
            }
        }
        public System.String EqNameDes { get; set; }
        public System.String NeNameDes { get; set; }
        public System.String EqIgNameDes { get; set; }
        public System.String LeNameDes { get; set; }
        public System.String GeNameDes { get; set; }
        public System.String LtNameDes { get; set; }
        public System.String GtNameDes { get; set; }
        public bool  NullNameDes { get; set; }
        public bool  NotNullNameDes { get; set; }
        List<System.Int32> _InPushTarget;
        public List<System.Int32> InPushTarget
        {
            get
            {
                if (_InPushTarget == null) { _InPushTarget = new List<System.Int32>(); }
                return _InPushTarget;
            }
        }
        List<System.Int32> _NotPushTarget;
        public List<System.Int32> NotPushTarget
        {
            get
            {
                if (_NotPushTarget == null) { _NotPushTarget = new List<System.Int32>(); }
                return _NotPushTarget;
            }
        }
        List<System.Int32> _OrEqPushTarget;
        public List<System.Int32> OrEqPushTarget
        {
            get
            {
                if (_OrEqPushTarget == null) { _OrEqPushTarget = new List<System.Int32>(); }
                return _OrEqPushTarget;
            }
        }
        public System.Int32? EqPushTarget { get; set; }
        public System.Int32? NePushTarget { get; set; }
        public System.Int32? EqIgPushTarget { get; set; }
        public System.Int32? LePushTarget { get; set; }
        public System.Int32? GePushTarget { get; set; }
        public System.Int32? LtPushTarget { get; set; }
        public System.Int32? GtPushTarget { get; set; }
        public bool  NullPushTarget { get; set; }
        public bool  NotNullPushTarget { get; set; }
        public System.String LikePushStyle { get; set; }
        List<System.String> _InPushStyle;
        public List<System.String> InPushStyle
        {
            get
            {
                if (_InPushStyle == null) { _InPushStyle = new List<System.String>(); }
                return _InPushStyle;
            }
        }
        List<System.String> _NotPushStyle;
        public List<System.String> NotPushStyle
        {
            get
            {
                if (_NotPushStyle == null) { _NotPushStyle = new List<System.String>(); }
                return _NotPushStyle;
            }
        }
        List<System.String> _OrEqPushStyle;
        public List<System.String> OrEqPushStyle
        {
            get
            {
                if (_OrEqPushStyle == null) { _OrEqPushStyle = new List<System.String>(); }
                return _OrEqPushStyle;
            }
        }
        List<System.String> _OrLikePushStyle;
        public List<System.String> OrLikePushStyle
        {
            get
            {
                if (_OrLikePushStyle == null) { _OrLikePushStyle = new List<System.String>(); }
                return _OrLikePushStyle;
            }
        }
        public System.String EqPushStyle { get; set; }
        public System.String NePushStyle { get; set; }
        public System.String EqIgPushStyle { get; set; }
        public System.String LePushStyle { get; set; }
        public System.String GePushStyle { get; set; }
        public System.String LtPushStyle { get; set; }
        public System.String GtPushStyle { get; set; }
        public bool  NullPushStyle { get; set; }
        public bool  NotNullPushStyle { get; set; }
        public System.String LikePushTitle { get; set; }
        List<System.String> _InPushTitle;
        public List<System.String> InPushTitle
        {
            get
            {
                if (_InPushTitle == null) { _InPushTitle = new List<System.String>(); }
                return _InPushTitle;
            }
        }
        List<System.String> _NotPushTitle;
        public List<System.String> NotPushTitle
        {
            get
            {
                if (_NotPushTitle == null) { _NotPushTitle = new List<System.String>(); }
                return _NotPushTitle;
            }
        }
        List<System.String> _OrEqPushTitle;
        public List<System.String> OrEqPushTitle
        {
            get
            {
                if (_OrEqPushTitle == null) { _OrEqPushTitle = new List<System.String>(); }
                return _OrEqPushTitle;
            }
        }
        List<System.String> _OrLikePushTitle;
        public List<System.String> OrLikePushTitle
        {
            get
            {
                if (_OrLikePushTitle == null) { _OrLikePushTitle = new List<System.String>(); }
                return _OrLikePushTitle;
            }
        }
        public System.String EqPushTitle { get; set; }
        public System.String NePushTitle { get; set; }
        public System.String EqIgPushTitle { get; set; }
        public System.String LePushTitle { get; set; }
        public System.String GePushTitle { get; set; }
        public System.String LtPushTitle { get; set; }
        public System.String GtPushTitle { get; set; }
        public bool  NullPushTitle { get; set; }
        public bool  NotNullPushTitle { get; set; }
        public System.String LikePushBody { get; set; }
        List<System.String> _InPushBody;
        public List<System.String> InPushBody
        {
            get
            {
                if (_InPushBody == null) { _InPushBody = new List<System.String>(); }
                return _InPushBody;
            }
        }
        List<System.String> _NotPushBody;
        public List<System.String> NotPushBody
        {
            get
            {
                if (_NotPushBody == null) { _NotPushBody = new List<System.String>(); }
                return _NotPushBody;
            }
        }
        List<System.String> _OrEqPushBody;
        public List<System.String> OrEqPushBody
        {
            get
            {
                if (_OrEqPushBody == null) { _OrEqPushBody = new List<System.String>(); }
                return _OrEqPushBody;
            }
        }
        List<System.String> _OrLikePushBody;
        public List<System.String> OrLikePushBody
        {
            get
            {
                if (_OrLikePushBody == null) { _OrLikePushBody = new List<System.String>(); }
                return _OrLikePushBody;
            }
        }
        public System.String EqPushBody { get; set; }
        public System.String NePushBody { get; set; }
        public System.String EqIgPushBody { get; set; }
        public System.String LePushBody { get; set; }
        public System.String GePushBody { get; set; }
        public System.String LtPushBody { get; set; }
        public System.String GtPushBody { get; set; }
        public bool  NullPushBody { get; set; }
        public bool  NotNullPushBody { get; set; }
        List<System.Int32> _InPushType;
        public List<System.Int32> InPushType
        {
            get
            {
                if (_InPushType == null) { _InPushType = new List<System.Int32>(); }
                return _InPushType;
            }
        }
        List<System.Int32> _NotPushType;
        public List<System.Int32> NotPushType
        {
            get
            {
                if (_NotPushType == null) { _NotPushType = new List<System.Int32>(); }
                return _NotPushType;
            }
        }
        List<System.Int32> _OrEqPushType;
        public List<System.Int32> OrEqPushType
        {
            get
            {
                if (_OrEqPushType == null) { _OrEqPushType = new List<System.Int32>(); }
                return _OrEqPushType;
            }
        }
        public System.Int32? EqPushType { get; set; }
        public System.Int32? NePushType { get; set; }
        public System.Int32? EqIgPushType { get; set; }
        public System.Int32? LePushType { get; set; }
        public System.Int32? GePushType { get; set; }
        public System.Int32? LtPushType { get; set; }
        public System.Int32? GtPushType { get; set; }
        public bool  NullPushType { get; set; }
        public bool  NotNullPushType { get; set; }
        List<System.Int32> _InPushCycle;
        public List<System.Int32> InPushCycle
        {
            get
            {
                if (_InPushCycle == null) { _InPushCycle = new List<System.Int32>(); }
                return _InPushCycle;
            }
        }
        List<System.Int32> _NotPushCycle;
        public List<System.Int32> NotPushCycle
        {
            get
            {
                if (_NotPushCycle == null) { _NotPushCycle = new List<System.Int32>(); }
                return _NotPushCycle;
            }
        }
        List<System.Int32> _OrEqPushCycle;
        public List<System.Int32> OrEqPushCycle
        {
            get
            {
                if (_OrEqPushCycle == null) { _OrEqPushCycle = new List<System.Int32>(); }
                return _OrEqPushCycle;
            }
        }
        public System.Int32? EqPushCycle { get; set; }
        public System.Int32? NePushCycle { get; set; }
        public System.Int32? EqIgPushCycle { get; set; }
        public System.Int32? LePushCycle { get; set; }
        public System.Int32? GePushCycle { get; set; }
        public System.Int32? LtPushCycle { get; set; }
        public System.Int32? GtPushCycle { get; set; }
        public bool  NullPushCycle { get; set; }
        public bool  NotNullPushCycle { get; set; }
        public System.String LikePushMonth { get; set; }
        List<System.String> _InPushMonth;
        public List<System.String> InPushMonth
        {
            get
            {
                if (_InPushMonth == null) { _InPushMonth = new List<System.String>(); }
                return _InPushMonth;
            }
        }
        List<System.String> _NotPushMonth;
        public List<System.String> NotPushMonth
        {
            get
            {
                if (_NotPushMonth == null) { _NotPushMonth = new List<System.String>(); }
                return _NotPushMonth;
            }
        }
        List<System.String> _OrEqPushMonth;
        public List<System.String> OrEqPushMonth
        {
            get
            {
                if (_OrEqPushMonth == null) { _OrEqPushMonth = new List<System.String>(); }
                return _OrEqPushMonth;
            }
        }
        List<System.String> _OrLikePushMonth;
        public List<System.String> OrLikePushMonth
        {
            get
            {
                if (_OrLikePushMonth == null) { _OrLikePushMonth = new List<System.String>(); }
                return _OrLikePushMonth;
            }
        }
        public System.String EqPushMonth { get; set; }
        public System.String NePushMonth { get; set; }
        public System.String EqIgPushMonth { get; set; }
        public System.String LePushMonth { get; set; }
        public System.String GePushMonth { get; set; }
        public System.String LtPushMonth { get; set; }
        public System.String GtPushMonth { get; set; }
        public bool  NullPushMonth { get; set; }
        public bool  NotNullPushMonth { get; set; }
        public System.String LikePushWhich { get; set; }
        List<System.String> _InPushWhich;
        public List<System.String> InPushWhich
        {
            get
            {
                if (_InPushWhich == null) { _InPushWhich = new List<System.String>(); }
                return _InPushWhich;
            }
        }
        List<System.String> _NotPushWhich;
        public List<System.String> NotPushWhich
        {
            get
            {
                if (_NotPushWhich == null) { _NotPushWhich = new List<System.String>(); }
                return _NotPushWhich;
            }
        }
        List<System.String> _OrEqPushWhich;
        public List<System.String> OrEqPushWhich
        {
            get
            {
                if (_OrEqPushWhich == null) { _OrEqPushWhich = new List<System.String>(); }
                return _OrEqPushWhich;
            }
        }
        List<System.String> _OrLikePushWhich;
        public List<System.String> OrLikePushWhich
        {
            get
            {
                if (_OrLikePushWhich == null) { _OrLikePushWhich = new List<System.String>(); }
                return _OrLikePushWhich;
            }
        }
        public System.String EqPushWhich { get; set; }
        public System.String NePushWhich { get; set; }
        public System.String EqIgPushWhich { get; set; }
        public System.String LePushWhich { get; set; }
        public System.String GePushWhich { get; set; }
        public System.String LtPushWhich { get; set; }
        public System.String GtPushWhich { get; set; }
        public bool  NullPushWhich { get; set; }
        public bool  NotNullPushWhich { get; set; }
        public System.String LikePushAction { get; set; }
        List<System.String> _InPushAction;
        public List<System.String> InPushAction
        {
            get
            {
                if (_InPushAction == null) { _InPushAction = new List<System.String>(); }
                return _InPushAction;
            }
        }
        List<System.String> _NotPushAction;
        public List<System.String> NotPushAction
        {
            get
            {
                if (_NotPushAction == null) { _NotPushAction = new List<System.String>(); }
                return _NotPushAction;
            }
        }
        List<System.String> _OrEqPushAction;
        public List<System.String> OrEqPushAction
        {
            get
            {
                if (_OrEqPushAction == null) { _OrEqPushAction = new List<System.String>(); }
                return _OrEqPushAction;
            }
        }
        List<System.String> _OrLikePushAction;
        public List<System.String> OrLikePushAction
        {
            get
            {
                if (_OrLikePushAction == null) { _OrLikePushAction = new List<System.String>(); }
                return _OrLikePushAction;
            }
        }
        public System.String EqPushAction { get; set; }
        public System.String NePushAction { get; set; }
        public System.String EqIgPushAction { get; set; }
        public System.String LePushAction { get; set; }
        public System.String GePushAction { get; set; }
        public System.String LtPushAction { get; set; }
        public System.String GtPushAction { get; set; }
        public bool  NullPushAction { get; set; }
        public bool  NotNullPushAction { get; set; }
        List<System.Int32> _InPushActiontype;
        public List<System.Int32> InPushActiontype
        {
            get
            {
                if (_InPushActiontype == null) { _InPushActiontype = new List<System.Int32>(); }
                return _InPushActiontype;
            }
        }
        List<System.Int32> _NotPushActiontype;
        public List<System.Int32> NotPushActiontype
        {
            get
            {
                if (_NotPushActiontype == null) { _NotPushActiontype = new List<System.Int32>(); }
                return _NotPushActiontype;
            }
        }
        List<System.Int32> _OrEqPushActiontype;
        public List<System.Int32> OrEqPushActiontype
        {
            get
            {
                if (_OrEqPushActiontype == null) { _OrEqPushActiontype = new List<System.Int32>(); }
                return _OrEqPushActiontype;
            }
        }
        public System.Int32? EqPushActiontype { get; set; }
        public System.Int32? NePushActiontype { get; set; }
        public System.Int32? EqIgPushActiontype { get; set; }
        public System.Int32? LePushActiontype { get; set; }
        public System.Int32? GePushActiontype { get; set; }
        public System.Int32? LtPushActiontype { get; set; }
        public System.Int32? GtPushActiontype { get; set; }
        public bool  NullPushActiontype { get; set; }
        public bool  NotNullPushActiontype { get; set; }
        public System.String LikePushIoslink { get; set; }
        List<System.String> _InPushIoslink;
        public List<System.String> InPushIoslink
        {
            get
            {
                if (_InPushIoslink == null) { _InPushIoslink = new List<System.String>(); }
                return _InPushIoslink;
            }
        }
        List<System.String> _NotPushIoslink;
        public List<System.String> NotPushIoslink
        {
            get
            {
                if (_NotPushIoslink == null) { _NotPushIoslink = new List<System.String>(); }
                return _NotPushIoslink;
            }
        }
        List<System.String> _OrEqPushIoslink;
        public List<System.String> OrEqPushIoslink
        {
            get
            {
                if (_OrEqPushIoslink == null) { _OrEqPushIoslink = new List<System.String>(); }
                return _OrEqPushIoslink;
            }
        }
        List<System.String> _OrLikePushIoslink;
        public List<System.String> OrLikePushIoslink
        {
            get
            {
                if (_OrLikePushIoslink == null) { _OrLikePushIoslink = new List<System.String>(); }
                return _OrLikePushIoslink;
            }
        }
        public System.String EqPushIoslink { get; set; }
        public System.String NePushIoslink { get; set; }
        public System.String EqIgPushIoslink { get; set; }
        public System.String LePushIoslink { get; set; }
        public System.String GePushIoslink { get; set; }
        public System.String LtPushIoslink { get; set; }
        public System.String GtPushIoslink { get; set; }
        public bool  NullPushIoslink { get; set; }
        public bool  NotNullPushIoslink { get; set; }
        public System.String LikePushAndlink { get; set; }
        List<System.String> _InPushAndlink;
        public List<System.String> InPushAndlink
        {
            get
            {
                if (_InPushAndlink == null) { _InPushAndlink = new List<System.String>(); }
                return _InPushAndlink;
            }
        }
        List<System.String> _NotPushAndlink;
        public List<System.String> NotPushAndlink
        {
            get
            {
                if (_NotPushAndlink == null) { _NotPushAndlink = new List<System.String>(); }
                return _NotPushAndlink;
            }
        }
        List<System.String> _OrEqPushAndlink;
        public List<System.String> OrEqPushAndlink
        {
            get
            {
                if (_OrEqPushAndlink == null) { _OrEqPushAndlink = new List<System.String>(); }
                return _OrEqPushAndlink;
            }
        }
        List<System.String> _OrLikePushAndlink;
        public List<System.String> OrLikePushAndlink
        {
            get
            {
                if (_OrLikePushAndlink == null) { _OrLikePushAndlink = new List<System.String>(); }
                return _OrLikePushAndlink;
            }
        }
        public System.String EqPushAndlink { get; set; }
        public System.String NePushAndlink { get; set; }
        public System.String EqIgPushAndlink { get; set; }
        public System.String LePushAndlink { get; set; }
        public System.String GePushAndlink { get; set; }
        public System.String LtPushAndlink { get; set; }
        public System.String GtPushAndlink { get; set; }
        public bool  NullPushAndlink { get; set; }
        public bool  NotNullPushAndlink { get; set; }
        public System.String LikePushWeblink { get; set; }
        List<System.String> _InPushWeblink;
        public List<System.String> InPushWeblink
        {
            get
            {
                if (_InPushWeblink == null) { _InPushWeblink = new List<System.String>(); }
                return _InPushWeblink;
            }
        }
        List<System.String> _NotPushWeblink;
        public List<System.String> NotPushWeblink
        {
            get
            {
                if (_NotPushWeblink == null) { _NotPushWeblink = new List<System.String>(); }
                return _NotPushWeblink;
            }
        }
        List<System.String> _OrEqPushWeblink;
        public List<System.String> OrEqPushWeblink
        {
            get
            {
                if (_OrEqPushWeblink == null) { _OrEqPushWeblink = new List<System.String>(); }
                return _OrEqPushWeblink;
            }
        }
        List<System.String> _OrLikePushWeblink;
        public List<System.String> OrLikePushWeblink
        {
            get
            {
                if (_OrLikePushWeblink == null) { _OrLikePushWeblink = new List<System.String>(); }
                return _OrLikePushWeblink;
            }
        }
        public System.String EqPushWeblink { get; set; }
        public System.String NePushWeblink { get; set; }
        public System.String EqIgPushWeblink { get; set; }
        public System.String LePushWeblink { get; set; }
        public System.String GePushWeblink { get; set; }
        public System.String LtPushWeblink { get; set; }
        public System.String GtPushWeblink { get; set; }
        public bool  NullPushWeblink { get; set; }
        public bool  NotNullPushWeblink { get; set; }
        public System.String LikePushWechatlink { get; set; }
        List<System.String> _InPushWechatlink;
        public List<System.String> InPushWechatlink
        {
            get
            {
                if (_InPushWechatlink == null) { _InPushWechatlink = new List<System.String>(); }
                return _InPushWechatlink;
            }
        }
        List<System.String> _NotPushWechatlink;
        public List<System.String> NotPushWechatlink
        {
            get
            {
                if (_NotPushWechatlink == null) { _NotPushWechatlink = new List<System.String>(); }
                return _NotPushWechatlink;
            }
        }
        List<System.String> _OrEqPushWechatlink;
        public List<System.String> OrEqPushWechatlink
        {
            get
            {
                if (_OrEqPushWechatlink == null) { _OrEqPushWechatlink = new List<System.String>(); }
                return _OrEqPushWechatlink;
            }
        }
        List<System.String> _OrLikePushWechatlink;
        public List<System.String> OrLikePushWechatlink
        {
            get
            {
                if (_OrLikePushWechatlink == null) { _OrLikePushWechatlink = new List<System.String>(); }
                return _OrLikePushWechatlink;
            }
        }
        public System.String EqPushWechatlink { get; set; }
        public System.String NePushWechatlink { get; set; }
        public System.String EqIgPushWechatlink { get; set; }
        public System.String LePushWechatlink { get; set; }
        public System.String GePushWechatlink { get; set; }
        public System.String LtPushWechatlink { get; set; }
        public System.String GtPushWechatlink { get; set; }
        public bool  NullPushWechatlink { get; set; }
        public bool  NotNullPushWechatlink { get; set; }
        public System.String LikeDbConnectid { get; set; }
        List<System.String> _InDbConnectid;
        public List<System.String> InDbConnectid
        {
            get
            {
                if (_InDbConnectid == null) { _InDbConnectid = new List<System.String>(); }
                return _InDbConnectid;
            }
        }
        List<System.String> _NotDbConnectid;
        public List<System.String> NotDbConnectid
        {
            get
            {
                if (_NotDbConnectid == null) { _NotDbConnectid = new List<System.String>(); }
                return _NotDbConnectid;
            }
        }
        List<System.String> _OrEqDbConnectid;
        public List<System.String> OrEqDbConnectid
        {
            get
            {
                if (_OrEqDbConnectid == null) { _OrEqDbConnectid = new List<System.String>(); }
                return _OrEqDbConnectid;
            }
        }
        List<System.String> _OrLikeDbConnectid;
        public List<System.String> OrLikeDbConnectid
        {
            get
            {
                if (_OrLikeDbConnectid == null) { _OrLikeDbConnectid = new List<System.String>(); }
                return _OrLikeDbConnectid;
            }
        }
        public System.String EqDbConnectid { get; set; }
        public System.String NeDbConnectid { get; set; }
        public System.String EqIgDbConnectid { get; set; }
        public System.String LeDbConnectid { get; set; }
        public System.String GeDbConnectid { get; set; }
        public System.String LtDbConnectid { get; set; }
        public System.String GtDbConnectid { get; set; }
        public bool  NullDbConnectid { get; set; }
        public bool  NotNullDbConnectid { get; set; }
        public System.String LikePushUserAction { get; set; }
        List<System.String> _InPushUserAction;
        public List<System.String> InPushUserAction
        {
            get
            {
                if (_InPushUserAction == null) { _InPushUserAction = new List<System.String>(); }
                return _InPushUserAction;
            }
        }
        List<System.String> _NotPushUserAction;
        public List<System.String> NotPushUserAction
        {
            get
            {
                if (_NotPushUserAction == null) { _NotPushUserAction = new List<System.String>(); }
                return _NotPushUserAction;
            }
        }
        List<System.String> _OrEqPushUserAction;
        public List<System.String> OrEqPushUserAction
        {
            get
            {
                if (_OrEqPushUserAction == null) { _OrEqPushUserAction = new List<System.String>(); }
                return _OrEqPushUserAction;
            }
        }
        List<System.String> _OrLikePushUserAction;
        public List<System.String> OrLikePushUserAction
        {
            get
            {
                if (_OrLikePushUserAction == null) { _OrLikePushUserAction = new List<System.String>(); }
                return _OrLikePushUserAction;
            }
        }
        public System.String EqPushUserAction { get; set; }
        public System.String NePushUserAction { get; set; }
        public System.String EqIgPushUserAction { get; set; }
        public System.String LePushUserAction { get; set; }
        public System.String GePushUserAction { get; set; }
        public System.String LtPushUserAction { get; set; }
        public System.String GtPushUserAction { get; set; }
        public bool  NullPushUserAction { get; set; }
        public bool  NotNullPushUserAction { get; set; }
        List<System.Int32> _InPushUserActiontype;
        public List<System.Int32> InPushUserActiontype
        {
            get
            {
                if (_InPushUserActiontype == null) { _InPushUserActiontype = new List<System.Int32>(); }
                return _InPushUserActiontype;
            }
        }
        List<System.Int32> _NotPushUserActiontype;
        public List<System.Int32> NotPushUserActiontype
        {
            get
            {
                if (_NotPushUserActiontype == null) { _NotPushUserActiontype = new List<System.Int32>(); }
                return _NotPushUserActiontype;
            }
        }
        List<System.Int32> _OrEqPushUserActiontype;
        public List<System.Int32> OrEqPushUserActiontype
        {
            get
            {
                if (_OrEqPushUserActiontype == null) { _OrEqPushUserActiontype = new List<System.Int32>(); }
                return _OrEqPushUserActiontype;
            }
        }
        public System.Int32? EqPushUserActiontype { get; set; }
        public System.Int32? NePushUserActiontype { get; set; }
        public System.Int32? EqIgPushUserActiontype { get; set; }
        public System.Int32? LePushUserActiontype { get; set; }
        public System.Int32? GePushUserActiontype { get; set; }
        public System.Int32? LtPushUserActiontype { get; set; }
        public System.Int32? GtPushUserActiontype { get; set; }
        public bool  NullPushUserActiontype { get; set; }
        public bool  NotNullPushUserActiontype { get; set; }
        public System.String LikeDbUserConnectid { get; set; }
        List<System.String> _InDbUserConnectid;
        public List<System.String> InDbUserConnectid
        {
            get
            {
                if (_InDbUserConnectid == null) { _InDbUserConnectid = new List<System.String>(); }
                return _InDbUserConnectid;
            }
        }
        List<System.String> _NotDbUserConnectid;
        public List<System.String> NotDbUserConnectid
        {
            get
            {
                if (_NotDbUserConnectid == null) { _NotDbUserConnectid = new List<System.String>(); }
                return _NotDbUserConnectid;
            }
        }
        List<System.String> _OrEqDbUserConnectid;
        public List<System.String> OrEqDbUserConnectid
        {
            get
            {
                if (_OrEqDbUserConnectid == null) { _OrEqDbUserConnectid = new List<System.String>(); }
                return _OrEqDbUserConnectid;
            }
        }
        List<System.String> _OrLikeDbUserConnectid;
        public List<System.String> OrLikeDbUserConnectid
        {
            get
            {
                if (_OrLikeDbUserConnectid == null) { _OrLikeDbUserConnectid = new List<System.String>(); }
                return _OrLikeDbUserConnectid;
            }
        }
        public System.String EqDbUserConnectid { get; set; }
        public System.String NeDbUserConnectid { get; set; }
        public System.String EqIgDbUserConnectid { get; set; }
        public System.String LeDbUserConnectid { get; set; }
        public System.String GeDbUserConnectid { get; set; }
        public System.String LtDbUserConnectid { get; set; }
        public System.String GtDbUserConnectid { get; set; }
        public bool  NullDbUserConnectid { get; set; }
        public bool  NotNullDbUserConnectid { get; set; }
        List<System.Int32> _InIsDeleted;
        public List<System.Int32> InIsDeleted
        {
            get
            {
                if (_InIsDeleted == null) { _InIsDeleted = new List<System.Int32>(); }
                return _InIsDeleted;
            }
        }
        List<System.Int32> _NotIsDeleted;
        public List<System.Int32> NotIsDeleted
        {
            get
            {
                if (_NotIsDeleted == null) { _NotIsDeleted = new List<System.Int32>(); }
                return _NotIsDeleted;
            }
        }
        List<System.Int32> _OrEqIsDeleted;
        public List<System.Int32> OrEqIsDeleted
        {
            get
            {
                if (_OrEqIsDeleted == null) { _OrEqIsDeleted = new List<System.Int32>(); }
                return _OrEqIsDeleted;
            }
        }
        public System.Int32? EqIsDeleted { get; set; }
        public System.Int32? NeIsDeleted { get; set; }
        public System.Int32? EqIgIsDeleted { get; set; }
        public System.Int32? LeIsDeleted { get; set; }
        public System.Int32? GeIsDeleted { get; set; }
        public System.Int32? LtIsDeleted { get; set; }
        public System.Int32? GtIsDeleted { get; set; }
        public bool  NullIsDeleted { get; set; }
        public bool  NotNullIsDeleted { get; set; }
        public System.String LikeCreateUser { get; set; }
        List<System.String> _InCreateUser;
        public List<System.String> InCreateUser
        {
            get
            {
                if (_InCreateUser == null) { _InCreateUser = new List<System.String>(); }
                return _InCreateUser;
            }
        }
        List<System.String> _NotCreateUser;
        public List<System.String> NotCreateUser
        {
            get
            {
                if (_NotCreateUser == null) { _NotCreateUser = new List<System.String>(); }
                return _NotCreateUser;
            }
        }
        List<System.String> _OrEqCreateUser;
        public List<System.String> OrEqCreateUser
        {
            get
            {
                if (_OrEqCreateUser == null) { _OrEqCreateUser = new List<System.String>(); }
                return _OrEqCreateUser;
            }
        }
        List<System.String> _OrLikeCreateUser;
        public List<System.String> OrLikeCreateUser
        {
            get
            {
                if (_OrLikeCreateUser == null) { _OrLikeCreateUser = new List<System.String>(); }
                return _OrLikeCreateUser;
            }
        }
        public System.String EqCreateUser { get; set; }
        public System.String NeCreateUser { get; set; }
        public System.String EqIgCreateUser { get; set; }
        public System.String LeCreateUser { get; set; }
        public System.String GeCreateUser { get; set; }
        public System.String LtCreateUser { get; set; }
        public System.String GtCreateUser { get; set; }
        public bool  NullCreateUser { get; set; }
        public bool  NotNullCreateUser { get; set; }
        public System.DateTime? EqCreateTime { get; set; }
        public System.DateTime? NeCreateTime { get; set; }
        public System.DateTime? EqIgCreateTime { get; set; }
        public System.DateTime? LeCreateTime { get; set; }
        public System.DateTime? GeCreateTime { get; set; }
        public System.DateTime? LtCreateTime { get; set; }
        public System.DateTime? GtCreateTime { get; set; }
        public bool  NullCreateTime { get; set; }
        public bool  NotNullCreateTime { get; set; }
        public System.String LikeUpdateUser { get; set; }
        List<System.String> _InUpdateUser;
        public List<System.String> InUpdateUser
        {
            get
            {
                if (_InUpdateUser == null) { _InUpdateUser = new List<System.String>(); }
                return _InUpdateUser;
            }
        }
        List<System.String> _NotUpdateUser;
        public List<System.String> NotUpdateUser
        {
            get
            {
                if (_NotUpdateUser == null) { _NotUpdateUser = new List<System.String>(); }
                return _NotUpdateUser;
            }
        }
        List<System.String> _OrEqUpdateUser;
        public List<System.String> OrEqUpdateUser
        {
            get
            {
                if (_OrEqUpdateUser == null) { _OrEqUpdateUser = new List<System.String>(); }
                return _OrEqUpdateUser;
            }
        }
        List<System.String> _OrLikeUpdateUser;
        public List<System.String> OrLikeUpdateUser
        {
            get
            {
                if (_OrLikeUpdateUser == null) { _OrLikeUpdateUser = new List<System.String>(); }
                return _OrLikeUpdateUser;
            }
        }
        public System.String EqUpdateUser { get; set; }
        public System.String NeUpdateUser { get; set; }
        public System.String EqIgUpdateUser { get; set; }
        public System.String LeUpdateUser { get; set; }
        public System.String GeUpdateUser { get; set; }
        public System.String LtUpdateUser { get; set; }
        public System.String GtUpdateUser { get; set; }
        public bool  NullUpdateUser { get; set; }
        public bool  NotNullUpdateUser { get; set; }
        public System.DateTime? EqUpdateTime { get; set; }
        public System.DateTime? NeUpdateTime { get; set; }
        public System.DateTime? EqIgUpdateTime { get; set; }
        public System.DateTime? LeUpdateTime { get; set; }
        public System.DateTime? GeUpdateTime { get; set; }
        public System.DateTime? LtUpdateTime { get; set; }
        public System.DateTime? GtUpdateTime { get; set; }
        public bool  NullUpdateTime { get; set; }
        public bool  NotNullUpdateTime { get; set; }
        public System.Int64? EqTimestamp { get; set; }
        public System.Int64? NeTimestamp { get; set; }
        public System.Int64? EqIgTimestamp { get; set; }
        public System.Int64? LeTimestamp { get; set; }
        public System.Int64? GeTimestamp { get; set; }
        public System.Int64? LtTimestamp { get; set; }
        public System.Int64? GtTimestamp { get; set; }
        public bool  NullTimestamp { get; set; }
        public bool  NotNullTimestamp { get; set; }
        
        
        
        #endregion
        
        
        #region Criteria Method
        
        public void AddOrder(string order)
        {
            this.AddOrder(order,false);
        }
        
        public void AddOrder(string order, bool isAsc)
        {
            if(isAsc)
            {
                this.OrderList.Add(order);
                IsAsc=true;
            }
            else
            {
                this.OrderList.Add(order);
                IsAsc=false;
            }
        }
        
        public void ClearOrder()
        {
            this.OrderList.Clear();
        }
        
        public void RemoveOrder(string order)
        {
            if(this.OrderList.Contains(order+",0"))
                this.OrderList.Remove(order+",0");
            if(this.OrderList.Contains(order+",1"))
                this.OrderList.Remove(order+",1");
        }
        
        #endregion
       
    }
}
